Debian Bug report logs - #598711
libnotify: obsolete upstream URL

version graph

Package: src:libnotify; Maintainer for src:libnotify is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: "Marc Dequènes (Duck)" <duck@duckcorp.org>

Date: Fri, 1 Oct 2010 11:12:01 UTC

Severity: minor

Tags: experimental, fixed-in-experimental, sid, squeeze, wheezy

Found in version libnotify/0.5.0-2

Fixed in version libnotify/0.7.0-1

Done: Laurent Bigonville <bigon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andre Filipe de Assuncao e Brito <decko@noisemakers.org>:
Bug#598711; Package src:libnotify. (Fri, 01 Oct 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
New Bug report received and forwarded. Copy sent to Andre Filipe de Assuncao e Brito <decko@noisemakers.org>. (Fri, 01 Oct 2010 11:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Debian BTS <submit@bugs.debian.org>
Subject: libnotify: obsolete upstream URL
Date: Fri, 01 Oct 2010 13:08:57 +0200
[Message part 1 (text/plain, inline)]
Source: libnotify
Version: 0.5.0-2
Severity: minor


Coin,

You're clearly not using the Galago Project site as upstream (which is  
unchanged since 2008 and does not have the 0.5.0 version currently in  
the Debian archive), but probably the GNOME git, so the URL in  
'debian/copyright' should be updated.

Regards.

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 20:00:10 GMT) Full text and rfc822 format available.

Reply sent to Laurent Bigonville <bigon@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 21:42:08 GMT) Full text and rfc822 format available.

Notification sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 21:42:08 GMT) Full text and rfc822 format available.

Message #12 received at 598711-close@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 519614-close@bugs.debian.org, 598711-close@bugs.debian.org
Subject: Fixed in version 0.7.0-1
Date: Mon, 29 Nov 2010 22:40:11 +0100
Version: 0.7.0-1

Hi,

This bug has been fixed in version 0.7.0-1.

Closing this bug report.

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598711; Package src:libnotify. (Tue, 30 Nov 2010 19:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 30 Nov 2010 19:18:06 GMT) Full text and rfc822 format available.

Message #17 received at 598711@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: 598711@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>, Debian BTS Control <control@bugs.debian.org>
Subject: Re: Bug#598711 closed by Laurent Bigonville <bigon@debian.org> (Fixed in version 0.7.0-1)
Date: Tue, 30 Nov 2010 20:14:32 +0100
[Message part 1 (text/plain, inline)]
reopen 598711
fixed 598711 0.7.0-1
bye


Coin,

No, this bug is not closed, it is "fixed in some version of Debian",  
which is in fact experimental, not released, and probably will not go  
in Squeeze, so this bug will remain valid several years as it is now.

When notifying the BTS of this information, you must give him a  
version, so it is closed automatically when the version propagates but  
remains open when a Debian suite is still affected.

Regards

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions 0.7.0-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Nov 2010 19:18:07 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libnotify/0.7.0-1. Request was from "Marc Dequènes (Duck)" <duck@duckcorp.org> to control@bugs.debian.org. (Tue, 30 Nov 2010 19:18:08 GMT) Full text and rfc822 format available.

Added tag(s) squeeze, sid, fixed-in-experimental, and experimental. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 30 Nov 2010 23:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598711; Package src:libnotify. (Wed, 01 Dec 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 598711@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Dec 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #28 received at 598711@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Marc Dequènes "(Duck)" <duck@duckcorp.org>, 598711@bugs.debian.org
Subject: Re: Bug#598711: closed by Laurent Bigonville <bigon@debian.org> (Fixed in version 0.7.0-1)
Date: Wed, 01 Dec 2010 09:22:18 +0100
Le mardi 30 novembre 2010 à 20:14 +0100, Marc Dequènes (Duck) a écrit :
> No, this bug is not closed, it is "fixed in some version of Debian",  
> which is in fact experimental, not released, and probably will not go  
> in Squeeze, so this bug will remain valid several years as it is now.

The BTS version tracking will still display bugs as existing in unstable
if they have been closed with a version in experimental.

> When notifying the BTS of this information, you must give him a  
> version, so it is closed automatically when the version propagates but  
> remains open when a Debian suite is still affected.

Which is exactly what Laurent did.

You are wasting your time, and ours.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598711; Package src:libnotify. (Wed, 01 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 598711@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: 598711@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#598711: closed by Laurent Bigonville <bigon@debian.org> (Fixed in version 0.7.0-1)
Date: Wed, 01 Dec 2010 19:30:15 +0100
[Message part 1 (text/plain, inline)]
Coin,

Quoting Josselin Mouette <joss@debian.org>:

> You are wasting your time, and ours.

In fact, it seems the old-school -close, contrary to the BTS  
documentation, is not equivalent to -done in respect to open/close  
status, that's why i was mislead and thought it had been closed  
without versioning.

In this case, i don't fucking care about this bug, but if you don't  
want people to open bugs for the same topic again and again, i think  
it's better when it's not cross-ed out in the BTS listing when only  
fixed in experimental.

I thought you knew me a bit better, not to think i'm here to spill out  
your time, but you're free to do so…

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598711; Package src:libnotify. (Wed, 01 Dec 2010 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Dec 2010 18:39:05 GMT) Full text and rfc822 format available.

Message #38 received at 598711@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Marc Dequènes "(Duck)" <duck@duckcorp.org>
Cc: 598711@bugs.debian.org
Subject: Re: Bug#598711: closed by Laurent Bigonville <bigon@debian.org> (Fixed in version 0.7.0-1)
Date: Wed, 01 Dec 2010 19:37:23 +0100
[Message part 1 (text/plain, inline)]
Heya,

Le mercredi 01 décembre 2010 à 19:30 +0100, Marc Dequènes (Duck) a
écrit : 
> In fact, it seems the old-school -close, contrary to the BTS  
> documentation, is not equivalent to -done in respect to open/close  
> status, that's why i was mislead and thought it had been closed  
> without versioning.

AFAIK, the difference lies not between -close and -done, but with the
“Version:” pseudo-header that you put at the beginning of the mail.

> I thought you knew me a bit better, not to think i'm here to spill out  
> your time, but you're free to do so…

I’m really sorry for the tone I used. I didn’t intended to sound harsh
and was annoyed by completely unrelated things at the time of writing.

Let’s say I owe you a beverage to make up for it the next time we meet.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598711; Package src:libnotify. (Wed, 01 Dec 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 01 Dec 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #43 received at 598711@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: "Marc Dequènes \(Duck\)" <duck@duckcorp.org>, 598711@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#598711: closed by Laurent Bigonville <bigon@debian.org> (Fixed in version 0.7.0-1)
Date: Wed, 1 Dec 2010 20:38:56 +0100
Le Wed, 01 Dec 2010 19:30:15 +0100,
"Marc Dequènes (Duck)" <duck@duckcorp.org> a écrit :

> Coin,

\o<

> In this case, i don't fucking care about this bug, but if you don't  
> want people to open bugs for the same topic again and again, i think  
> it's better when it's not cross-ed out in the BTS listing when only  
> fixed in experimental.

I think you thing you want here is to set "sid" and "squeeze" tags (and
also "experimental" because the bug was also impacting it) to prevent
the bug to be archived until it's fixed into the related distribution.

It's true that the behavior is misleading in such case. I've opened
bug[1] related to this.

Cheers

Laurent Bigonville

[1]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605609




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:47 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to "Marc Dequènes (Duck)" <duck@duckcorp.org> Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 10 Aug 2011 07:45:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Oct 2011 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:00:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.